apiVersion: releases.vmsp.vmware.com/v1alpha1
kind: Schema
metadata:
  labels:
    packages.vcf.vmware.com/packaging: bundle
  name: configuration-vcfa-bundle-9.1.0.0.25289948
  namespace: prelude
spec:
  context:
    name: vcfa-bundle
    type: configuration
    version: 9.1.0.0.25289948
  schema:
    openAPIV3Schema:
      description: Configuration schema for the vcfa-bundle-9.1.0.0.25289948 package
      properties:
        values:
          properties:
            ingress:
              properties:
                vcfa:
                  properties:
                    fqdn:
                      description: the FQDN for the ingress of the VCFA component
                      type: string
                    tls:
                      properties:
                        ca:
                          description: CA for VCFA ingress certificate
                          format: string
                          type: string
                        cert:
                          description: VCFA ingress certificate
                          format: string
                          type: string
                        key:
                          description: VCFA ingress private key
                          format: string
                          type: string
                      type: object
                    vips:
                      properties:
                        ipv4:
                          description: the IPv4 address for the ingress of the VCFA
                            component
                          items:
                            type: string
                          type: array
                      type: object
                  type: object
              type: object
            logs:
              properties:
                additionalFilters:
                  description: Size in GB for support bundle logs storage (can only
                    be increased)
                  type: integer
              type: object
            size:
              description: VCFA deployment size
              type: string
            storage:
              properties:
                volumeGroups:
                  properties:
                    activemqVolTenantManager:
                      properties:
                        capacity:
                          description: activemq volume group
                          type: string
                      type: object
                    data0VksmKafkaClusterVksmKafkaClusterBroker:
                      properties:
                        capacity:
                          description: kafka broker volume group
                          type: string
                      type: object
                    data0VksmKafkaClusterVksmKafkaClusterController:
                      properties:
                        capacity:
                          description: kafka controller volume group
                          type: string
                      type: object
                    pgdataVcfapostgres:
                      properties:
                        capacity:
                          description: postgres database volume group
                          type: string
                      type: object
                    rabbitPvcRabbitmqHa:
                      properties:
                        capacity:
                          description: rabbitmq volume group
                          type: string
                      type: object
                    vcoVolVcoApp:
                      properties:
                        capacity:
                          description: vco volume group
                          type: string
                      type: object
                  type: object
              type: object
          type: object
      type: object
